import request from '@/utils/request'

// 查询附件信息列表
export function listAttachInfo(query) {
  return request({
    url: '/system/attachInfo/list',
    method: 'get',
    params: query
  })
}

// 查询附件信息详细
export function getAttachInfo(attachId) {
  return request({
    url: '/system/attachInfo/' + attachId,
    method: 'get'
  })
}

// 新增附件信息
export function addAttachInfo(data) {
  return request({
    url: '/system/attachInfo',
    method: 'post',
    data: data
  })
}

// 修改附件信息
export function updateAttachInfo(data) {
  return request({
    url: '/system/attachInfo',
    method: 'put',
    data: data
  })
}

// 删除附件信息
export function delAttachInfo(attachId) {
  return request({
    url: '/system/attachInfo/' + attachId,
    method: 'delete'
  })
}
